Bug 200469 - i386 glibc isn't built with nosegneg
i386 glibc isn't built with nosegneg
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-07-27 17:24 EDT by Jeremy Katz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.4.90-17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 02:42:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2006-07-27 17:24:08 EDT
The i386 glibc isn't built with nosegneg and so during Xen installs, we trigger
the printk about segment fixups a lot.  The installer has to use the i386 glibc,
though, as otherwise, i586 boxes won't continue to work.

So we should either a) build i386 glibc with nosegneg by default or b) build an
i386 nosegneg glibc and then have anaconda pull that in instead I guess
Comment 1 Jakub Jelinek 2006-08-03 02:42:33 EDT
Should be fixed in glibc-2.4.90-17 (variant a) ).

Note You need to log in before you can comment on or make changes to this bug.